part of common_theme_class;

class CommonAppTheme {
  static TextStyle textStyle({
    @required double fontSize,
    @required Color color,
    @required String fontFamily,
    @required FontStyle fontStyle,
    FontWeight fontWeight,
    TextDecoration decoration,
  }) {
    return TextStyle(
        fontFamily: fontFamily,
        fontSize: fontSize,
        color: color,
        fontWeight: fontWeight,
        fontStyle: fontStyle,
        decoration: decoration);
  }

  static Color colorName(String colorCode) {
    return HexColor(colorCode);
  }
}
